(()=>{
    "use strict";
    return {
        dependencies: ["packages://inspector/share/meta-header.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/animation-clip.png"
              ></cc-meta-header>

              <div class="props flex-1" v-if="isSkeletonAnimationClip">
                <ui-prop readonly :name="T('INSPECTOR.animation_clip.maxFrameCount')" type="number"
                  v-value="target.maxFrameCount"
                  v-values="target.multiValues.maxFrameCount"
                  :multi-values="multi"
                ></ui-prop>
                <ui-prop readonly :name="T('INSPECTOR.animation_clip.totalFrameCount')" type="number"
                  v-value="target.totalFrameCount"
                  v-values="target.multiValues.totalFrameCount"
                  :multi-values="multi"
                ></ui-prop>
                <ui-prop readonly :name="T('INSPECTOR.animation_clip.duration')" type="number"
                  v-value="target.duration"
                  v-values="target.multiValues.duration"
                  :multi-values="multi"
                ></ui-prop>
              </div>
            `,
        computed: {
            isSkeletonAnimationClip() {
                return "skeleton-animation-clip" === this.target.__assetType__
            }
        }
    }
}
)();
