"use strict";
Vue.component("cc-editbox", {
    template: `

    <template v-if="target.inputMode.value === 0">
      <ui-prop
        name="String"
        type="string"
        :title="T('COMPONENT.editbox.string')"
        v-value="target.string.value"
        v-values="target.string.values"
        :multi-values="multi"
        multiline
      >
      </ui-prop>
    </template>
    <template v-else>
      <ui-prop
        name="String"
        type="string"
        :title="T('COMPONENT.editbox.string')"
        v-value="target.string.value"
        v-values="target.string.values"
      >
      </ui-prop>
    </template>

    <ui-prop
      v-prop="target.placeholder"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
    v-prop="target.background"
    :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.textLabel"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.placeholderLabel"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.returnType"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.inputFlag"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.inputMode"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.maxLength"
      :multi-values="multi"
    ></ui-prop>
    <ui-prop
       v-prop="target.tabIndex"
      :multi-values="multi"
    ></ui-prop>

    <cc-array-prop :target.sync="target.editingDidBegan"></cc-array-prop>
    <cc-array-prop :target.sync="target.textChanged"></cc-array-prop>
    <cc-array-prop :target.sync="target.editingDidEnded"></cc-array-prop>
    <cc-array-prop :target.sync="target.editingReturn"></cc-array-prop>

    `,
    props: {
        target: {
            twoWay: !0,
            type: Object
        },
        multi: {
            type: Boolean
        }
    },
    methods: {
        T: Editor.T
    }
});
