"use strict";
Vue.component("cc-light-component", {
    template: `

        <ui-prop v-prop="target.type" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.color" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.intensity" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.range" v-show="target.type.value !== 0 && target.type.value !== 3" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.spotAngle" v-show="target.type.value === 2" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.spotExp" v-show="target.type.value === 2" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.shadowType" v-show="target.type.value !== 3" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.shadowResolution" v-show="target.shadowType.value !== 0" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.shadowDarkness" v-show="target.shadowType.value !== 0" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.shadowMinDepth" v-show="target.shadowType.value !== 0" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.shadowMaxDepth" v-show="target.shadowType.value !== 0" :multi-values="multi"></ui-prop>
        <ui-prop v-prop="target.shadowFrustumSize" v-show="target.shadowType.value !== 0 && target.type.value === 0" :multi-values="multi"></ui-prop>

    `,
    props: {
        target: {
            twoWay: !0,
            type: Object
        },
        multi: {
            twoWay: !0,
            type: Boolean
        }
    }
});
