"use strict";
Vue.component("points-base-collider", {
    template: `
    <ui-prop name="Threshold">
      <ui-input class="flex-1" v-value="target.threshold.value"></ui-input>
      <ui-button
        class="blue tiny"
        @confirm="regeneratePoints"
      >
        Regenerate Points
      </ui-button>
    </ui-prop>
    <template v-for="prop in target">
      <component
        v-if="prop.attrs.visible !== false"
        :is="prop.compType"
        :target.sync="prop"
        :indent="0"
      ></component>
    </template>
`,
    props: {
        target: {
            twoWay: !0,
            type: Object
        }
    },
    methods: {
        T: Editor.T,
        regeneratePoints() {
            Editor.Ipc.sendToPanel("scene", "scene:regenerate-polygon-points", this.target.uuid.value)
        }
    }
});
var e = {
    dependencies: ["packages://inspector/inspectors/comps/physics/points-base-collider.js"],
    template: `
    <points-base-collider :target.sync="target"></points-base-collider>
    `,
    props: {
        target: {
            twoWay: !0,
            type: Object
        }
    }
};
Vue.component("cc-physics-chain-collider", e),
Vue.component("cc-polygon-collider", e);
