"use strict";
Vue.component("cc-skeleton-animation", {
    template: `
        <template v-for="prop in target">
        <component
            v-if="prop.attrs.visible !== false"
            :is="prop.compType"
            :target.sync="prop"
            :indent="0"
        ></component>
        </template>
        <ui-button
            class="blue"
            @confirm="searchClips"
            style="margin-left: 15px;margin-right: 15px;margin-top:15px;"
        >
            {{T('COMPONENT.skeleton_animation.search_animation_clips')}}
        </ui-button>
    `,
    props: {
        target: {
            twoWay: !0,
            type: Object
        }
    },
    methods: {
        T: Editor.T,
        searchClips() {
            Editor.Ipc.sendToPanel("scene", "scene:search-skeleton-animation-clips", this.target.uuid.value)
        }
    }
});
