(()=>{
    "use strict";
    return {
        dependencies: ["packages://inspector/share/meta-header.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/label-atlas.png"
              ></cc-meta-header>

              <div class="props flex-1">
                <ui-prop name="Raw Texture File" type="asset" assetType="texture"
                  v-value="target.rawTextureUuid"
                  v-values="target.multiValues.rawTextureUuid"
                  :multi-values="multi"
                ></ui-prop>
                <ui-prop name="Item Width">
                  <ui-num-input type="int"
                    v-value="target.itemWidth" style="width: 100%;"
                    v-values="target.multiValues.itemWidth"
                    :multi-values="multi"
                  ></ui-num-input>
                </ui-prop>
                <ui-prop name="Item Height">
                  <ui-num-input type="int" style="width: 100%;"
                    v-value="target.itemHeight"
                    v-values="target.multiValues.itemHeight"
                    :multi-values="multi"
                  ></ui-num-input>
                </ui-prop>
                <ui-prop name="Start Char" type="string"
                  v-value="target.startChar"
                  v-values="target.multiValues.startChar"
                  :multi-values="multi"
                ></ui-prop>
                <ui-prop name="Font Size" type="number" readonly
                  v-value="target.fontSize"
                  v-values="target.multiValues.fontSize"
                  :multi-values="multi"
                ></ui-prop>
              </div>
            `
    }
}
)();
