(()=>{
    "use strict";
    return {
        dependencies: ["packages://inspector/share/meta-header.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/scene.png"
              ></cc-meta-header>

              <ui-prop :name="T('INSPECTOR.scene.auto_release_assets')" type="boolean"
                v-value="target.autoReleaseAssets"
                v-values="target.multiValues.autoReleaseAssets"
                :multi-values="multi"
              ></ui-prop>
              <ui-prop :name="T('INSPECTOR.scene.async_load_assets')" type="boolean"
                v-value="target.asyncLoadAssets"
                v-values="target.multiValues.asyncLoadAssets"
                :multi-values="multi"
              ></ui-prop>
        `
    }
}
)();
