(()=>{
    "use strict";
    return {
        dependencies: ["packages://inspector/share/meta-header.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/bitmap-font.png"
              ></cc-meta-header>

              <div class="props flex-1">
                <ui-prop name="Texture" type="asset" assetType="texture"
                  v-value="target.textureUuid"
                  v-values="target.multiValues.textureUuid"
                  :multi-values="multi"
                ></ui-prop>
                <ui-prop name="Font Size" type="number" readonly
                  v-value="target.fontSize"
                  v-values="target.multiValues.fontSize"
                  :multi-values="multi"
                ></ui-prop>
              </div>
            `
    }
}
)();
