"use strict";
Vue.component("skeleton2d", {
    template: `
    <template v-for="prop in target">
        <component
        v-if="prop.attrs.visible !== false"
        :is="prop.compType"
        :target.sync="prop"
        :indent="0"
        ></component>
    </template>
    <ui-button
        class="blue"
        @confirm="searchClips"
        style="margin-left: 15px;margin-right: 15px;margin-top:15px;"
    >
        {{T('COMPONENT.attach_util.generate_attached_node')}}
    </ui-button>

    `,
    props: {
        target: {
            twoWay: !0,
            type: Object
        }
    },
    methods: {
        T: Editor.T,
        searchClips() {
            Editor.Ipc.sendToPanel("scene", "scene:generate_attached_node", this.target.uuid.value)
        }
    }
});
