(()=>{
    "use strict";
    return {
        dependencies: ["packages://inspector/share/meta-header.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/prefab.png"
              ></cc-meta-header>

              <ui-prop :name="T('INSPECTOR.prefab.OptimizationPolicy')" type="enum"
                v-value="target.optimizationPolicy"
                v-values="target.multiValues.optimizationPolicy"
                :multi-values="multi"
              >
                <option value="AUTO">${Editor.T("INSPECTOR.prefab.OptimizationPolicy_AUTO")}</option>
                <option value="SINGLE_INSTANCE">${Editor.T("INSPECTOR.prefab.OptimizationPolicy_SINGLE_INSTANCE")}</option>
                <option value="MULTI_INSTANCE">${Editor.T("INSPECTOR.prefab.OptimizationPolicy_MULTI_INSTANCE")}</option>
              </ui-prop>
              <ui-prop :name="T('INSPECTOR.scene.async_load_assets')" type="boolean"
                v-value="target.asyncLoadAssets"
                v-values="target.multiValues.asyncLoadAssets"
                :multi-values="multi"
              ></ui-prop>
              <ui-prop :name="T('INSPECTOR.prefab.readonly')" type="boolean" readonly="true"
                v-value="target.readonly"
                v-values="target.multiValues.readonly"
                :multi-values="multi"
              ></ui-prop>
        `
    }
}
)();
