(()=>{
    "use strict";
    return {
        dependencies: ["packages://inspector/share/meta-header.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/spine.png"
              ></cc-meta-header>

              <div class="props">
                <ui-prop name="Atlas Texture" type="asset" assetType="texture"
                  v-value="target.textures[0]"
                  v-values="target.multiValues.textures"
                  :multi-values="multi"
                ></ui-prop>
                <ui-prop name="Scale" type="number"
                  v-value="target.scale"
                  v-values="target.multiValues.scale"
                  :multi-values="multi"
                  tooltip="This can be useful when using different sized images than were used when designing the skeleton in Spine. For example, if using images that are half the size than were used in Spine, a scale of 0.5 can be used. This is commonly used for games that can run with either low or high resolution texture atlases."
                ></ui-prop>
              </div>
            `
    }
}
)();
