(()=>{
    "use strict";
    const e = require("fire-path")
      , t = {
        ".txt": "text",
        ".html": "html",
        ".xml": "xml",
        ".css": "css",
        ".less": "less",
        ".scss": "scss",
        ".stylus": "stylus",
        ".json": "json",
        ".yaml": "yaml",
        ".ini": "ini"
    };
    return {
        dependencies: ["packages://inspector/share/meta-header.js", "packages://inspector/share/code-preview.js"],
        template: `
              <cc-meta-header
                :target="target"
                icon="unpack://static/icon/assets/text.png"
              ></cc-meta-header>

              <cc-code-preview
                v-if="!multi"
                :type="assetType()"
                :path="target.__path__"
              >
              </cc-code-preview>
            `,
        methods: {
            assetType() {
                return t[e.extname(this.target.__path__)] || "text"
            }
        }
    }
}
)();
